Package Details: ret-sync-ghidra-git r54.ba51775-1

Git Clone URL: https://aur.archlinux.org/ret-sync-ghidra-git.git (read-only, click to copy)
Package Base: ret-sync-ghidra-git
Description: Set of plugins that help to synchronize a debugging session with a disassembler - Ghidra plugin
Upstream URL: https://github.com/bootleg/ret-sync
Licenses: GPL
Conflicts: ret-sync-ghidra
Provides: ret-sync-ghidra
Submitter: gmes78
Maintainer: gmes78
Last Packager: gmes78
Votes: 2
Popularity: 0.30
First Submitted: 2020-04-04 18:53 (UTC)
Last Updated: 2020-04-04 18:53 (UTC)

Dependencies (5)

Required by (1)

Sources (1)

Latest Comments

fenugrec commented on 2022-12-09 23:05 (UTC) (edited on 2022-12-11 16:59 (UTC) by fenugrec)

FAILURE: Build failed with an exception.

* What went wrong:
Could not open settings generic class cache for settings file '~/tmp/ret-sync-ghidra-git/src/ret-sync/ext_ghidra/settings.gradle' (~/.gradle/caches/7.5.1/scripts/3dbkark4adphz5dcjpzz0089s).
> BUG! exception in phase 'semantic analysis' in source unit '_BuildScript_' Unsupported class file major version 63

it looks like maybe gradle (currently 7.5 in main repos) maybe doesn't support jdk-19 ? Any ideas, or a better explanation ?

[EDIT] - yeah, for jdk19 I will have to wait for gradle-7.6 according to https://docs.gradle.org/current/userguide/compatibility.html

[EDIT 2], hit more issues after that, but this patch worked https://github.com/bootleg/ret-sync/pull/96